// Generated by dts-bundle-generator v6.11.0

import * as React from 'react';

export type Nil = null | undefined;
export type MaybeNil<T> = T | Nil;
export type ForceAny = any;
export type Method1<T1, R> = (a: T1) => R;
export type ComponentHandler<E = ForceAny, R = ForceAny> = MaybeNil<Method1<E, Promise<R>>>;
export type AppearancePropertyGetter = (name: string) => string;
export type AppearancePropertySetter = (name: string, value: string) => void;
export interface BugseeExceptionLoggingOptions {
	domain?: string;
	labels?: string[];
	includeVideo?: boolean;
	mergingRules?: {
		skipFrames?: number;
	};
}
export interface SecureRect extends Record<string, unknown> {
	x: number;
	y: number;
	width: number;
	height: number;
}
export interface BugseeAttachment extends Record<string, unknown> {
	name: string;
	filename: string;
	fullpath?: string;
	data?: string;
}
export interface LogEvent extends Record<string, unknown> {
	timestamp?: number;
	text: string;
	level: number;
}
export interface FeedbackEvent extends Record<string, unknown> {
	messages: string[];
}
export interface NetEvent extends Record<string, unknown> {
	type: string;
	method: string;
	url: string;
	redirected_from?: MaybeNil<string>;
	body?: MaybeNil<string>;
	headers?: MaybeNil<Record<string, string>>;
	error?: unknown;
}
export declare const enum LogLevel {
	None = 0,
	Error = 1,
	Warning = 2,
	Info = 3,
	Debug = 4,
	Verbose = 5
}
export declare const enum Severity {
	Low = 1,
	Medium = 2,
	High = 3,
	Critical = 4,
	Blocker = 5
}
export declare const enum VideoMode {
	None = 0,
	V1 = 1,
	V2 = 2,
	V3 = 3
}
export declare const enum VideoQuality {
	Default = 0,
	Medium = 1,
	High = 2
}
export declare const enum LifecycleEventsTypes {
	/**
	 * Event is dispatched when Bugsee was successfully launched
	 */
	Launched = 0,
	/**
	 * Event is dispatched when Bugsee is started after being stopped
	 */
	Started = 1,
	/**
	 * Event is dispatched when Bugsee is stopped
	 */
	Stopped = 2,
	/**
	 * Event is dispatched when Bugsee recording is resumed after being paused
	 */
	Resumed = 3,
	/**
	 * Event is dispatched when Bugsee recording is paused
	 */
	Paused = 4,
	/**
	 * Event is dispatched when Bugsee is launched and pending crash report is
	 * discovered. That usually means that app was relaunched after crash.
	 */
	RelaunchedAfterCrash = 5,
	/**
	 * Event is dispatched before the reporting UI is shown
	 */
	BeforeReportShown = 6,
	/**
	 * Event is dispatched when reporting UI is shown
	 */
	AfterReportShown = 7,
	/**
	 * Event is dispatched when report is about to be uploaded to the server
	 */
	BeforeReportUploaded = 8,
	/**
	 * Event is dispatched when report was successfully uploaded to the server
	 */
	AfterReportUploaded = 9,
	/**
	 * Event is dispatched before the Feedback controller is shown
	 */
	BeforeFeedbackShown = 10,
	/**
	 * Event is dispatched after the Feedback controller is shown
	 */
	AfterFeedbackShown = 11,
	/**
	 * Event is dispatched before the report is assembled
	 */
	BeforeReportAssembled = 12,
	/**
	 * Event is dispatched after the report is assembled
	 */
	AfterReportAssembled = 13
}
export type LifecycleEvent = LifecycleEventsTypes;
export interface BugseeReport {
	type: "crash" | "error" | "bug";
	severity: Severity;
}
export type ErrorBoundaryFallbackRenderEvent = {
	error: Error;
	componentStack: MaybeNil<string>;
	resetErrorBoundary(): void;
};
export type ErrorBoundaryFallbackRender = (e: ErrorBoundaryFallbackRenderEvent) => React.ReactElement;
export type ErrorBoundaryProperties = {
	children?: React.ReactNode | (() => React.ReactNode);
	/**
	 * A fallback component or a function which returns the component tree
	 * that gets rendered when the error boundary encounters an error.
	 */
	fallback?: React.ReactElement | ErrorBoundaryFallbackRender;
	/**
	 * Called when the error boundary encounters an error
	 */
	onError?(error: Error, componentStack: string | null | undefined): void;
	/**
	 * Called if resetBoundaryError() is called from the fallback
	 * render props function
	 */
	onReset?(error: Error | null, componentStack: string | null | undefined): void;
};
declare abstract class BugseeLaunchOptions {
	private $options;
	private $localOptions;
	constructor();
	/**
	 * @protected
	 */
	protected $setDefaults(): void;
	/**
	 * @protected
	 */
	protected $set(key: string, val: unknown): void;
	/**
	 * @protected
	 */
	protected $get(key: string): unknown;
	/**
	 * @inner
	 */
	private $serialize;
	/**
	 * @inner
	 */
	private $serializeLocal;
	static serialize(launchOptions?: MaybeNil<BugseeLaunchOptions | Record<string, unknown>>, includeLocal?: boolean): Record<string, unknown>;
	/**
	 * Adds custom option to the set
	 * @public
	 * @param key {String}
	 * @param val {*}
	 */
	setCustomOption(key: string, val: unknown): void;
	get handleRejections(): boolean;
	set handleRejections(val: boolean);
	get maxNetworkBodySize(): number;
	set maxNetworkBodySize(val: number);
	/**
	 * Use shake gesture to bring up the built-in the bug reporting UI
	 */
	get shakeToReport(): boolean;
	/**
	 * Use shake gesture to bring up the built-in the bug reporting UI
	 */
	set shakeToReport(val: boolean);
	get crashReport(): boolean;
	set crashReport(val: boolean);
	get maxRecordingTime(): number;
	set maxRecordingTime(val: number);
	get videoEnabled(): boolean;
	set videoEnabled(val: boolean);
	get screenshotEnabled(): boolean;
	set screenshotEnabled(val: boolean);
	get captureLogs(): boolean;
	set captureLogs(val: boolean);
	get monitorNetwork(): boolean;
	set monitorNetwork(val: boolean);
	get wifiOnlyUpload(): boolean;
	set wifiOnlyUpload(val: boolean);
	get maxDataSize(): number;
	set maxDataSize(val: number);
	get reportPrioritySelector(): boolean;
	set reportPrioritySelector(val: boolean);
	get defaultCrashPriority(): Severity;
	set defaultCrashPriority(val: Severity);
	get defaultBugPriority(): Severity;
	set defaultBugPriority(val: Severity);
	get frameRate(): number;
	set frameRate(val: number);
	get minFrameRate(): number;
	set minFrameRate(val: number);
	get maxFrameRate(): number;
	set maxFrameRate(val: number);
	get captureDeviceAndNetworkNames(): boolean;
	set captureDeviceAndNetworkNames(val: boolean);
	get reportSummaryRequired(): boolean;
	set reportSummaryRequired(val: boolean);
	get reportDescriptionRequired(): boolean;
	set reportDescriptionRequired(val: boolean);
	get reportEmailRequired(): boolean;
	set reportEmailRequired(val: boolean);
}
declare class AndroidLaunchOptions extends BugseeLaunchOptions {
	protected $setDefaults(): void;
	get notificationBarTrigger(): boolean;
	set notificationBarTrigger(val: boolean);
	get serviceMode(): boolean;
	set serviceMode(val: boolean);
	get videoMode(): VideoMode;
	set videoMode(val: VideoMode);
	get videoQuality(): VideoQuality;
	set videoQuality(val: VideoQuality);
	get fallbackVideoMode(): VideoMode;
	set fallbackVideoMode(val: VideoMode);
	get handleAnr(): boolean;
	set handleAnr(val: boolean);
	get screenshotToReport(): boolean;
	set screenshotToReport(val: boolean);
}
declare class IOSLaunchOptions extends BugseeLaunchOptions {
	protected $setDefaults(): void;
	get monitorDiskSpace(): boolean;
	set monitorDiskSpace(val: boolean);
	get screenshotToReport(): boolean;
	set screenshotToReport(val: boolean);
	get killDetection(): boolean;
	set killDetection(val: boolean);
	get videoScale(): number;
	set videoScale(val: number);
	get monitorBluetoothStatus(): boolean;
	set monitorBluetoothStatus(val: boolean);
	/**
	 * When enabled, videos playing via AVPlayerLayer
	 * will be captured on video. May incur additional
	 * performance overhead
	 */
	get captureAVPlayer(): boolean;
	/**
	 * When enabled, videos playing via AVPlayerLayer
	 * will be captured on video. May incur additional
	 * performance overhead
	 */
	set captureAVPlayer(val: boolean);
}
declare class AndroidFeedbackAppearance {
	private $get;
	private $set;
	constructor(getter: AppearancePropertyGetter, setter: AppearancePropertySetter);
	/**
	 * Action bar buttons background color in clicked state in Feedback UI
	 */
	get actionBarButtonBackgroundClickedColor(): string;
	set actionBarButtonBackgroundClickedColor(val: string);
	/**
	 * Action bar background color in Feedback UI
	 */
	get actionBarColor(): string;
	set actionBarColor(val: string);
	/**
	 * Feedback UI background color
	 */
	get backgroundColor(): string;
	set backgroundColor(val: string);
	/**
	 * Color of delimiter between message list and EditText for new message inputting in Feedback UI
	 */
	get bottomDelimiterColor(): string;
	set bottomDelimiterColor(val: string);
	/**
	 * Message date text color in Feedback UI
	 */
	get dateTextColor(): string;
	set dateTextColor(val: string);
	/**
	 * Ask for email dialog background color in Feedback UI
	 */
	get emailBackgroundColor(): string;
	set emailBackgroundColor(val: string);
	/**
	 * Ask for email dialog "Continue" button background color in enabled state in Feedback UI
	 */
	get emailContinueActiveColor(): string;
	set emailContinueActiveColor(val: string);
	/**
	 * Ask for email dialog "Continue" button background color in clicked state in Feedback UI
	 */
	get emailContinueClickedColor(): string;
	set emailContinueClickedColor(val: string);
	/**
	 * Ask for email dialog "Continue" button background color in disabled state in Feedback UI
	 */
	get emailContinueNotActiveColor(): string;
	set emailContinueNotActiveColor(val: string);
	/**
	 * Ask for email dialog "Skip" button background color in clicked state in Feedback UI
	 */
	get emailSkipBackgroundClickedColor(): string;
	set emailSkipBackgroundClickedColor(val: string);
	/**
	 * Ask for email dialog "Skip" button text color in Feedback UI
	 */
	get emailSkipTextColor(): string;
	set emailSkipTextColor(val: string);
	/**
	 * Error description text color in Feedback UI
	 */
	get errorTextColor(): string;
	set errorTextColor(val: string);
	/**
	 * Incoming message bubble background color in Feedback UI
	 */
	get incomingBubbleColor(): string;
	set incomingBubbleColor(val: string);
	/**
	 * Incoming message text color in Feedback UI
	 */
	get incomingTextColor(): string;
	set incomingTextColor(val: string);
	/**
	 * Input message text color in Feedback UI
	 */
	get inputTextColor(): string;
	set inputTextColor(val: string);
	/**
	 * Input message hint text color in Feedback UI
	 */
	get inputTextHintColor(): string;
	set inputTextHintColor(val: string);
	/**
	 * Background color of a bar in Feedback UI, which indicates loading state and shows error information if any
	 */
	get loadingBarBackgroundColor(): string;
	set loadingBarBackgroundColor(val: string);
	/**
	 * Text color in a bar, which indicates loading state in Feedback UI
	 */
	get loadingTextColor(): string;
	set loadingTextColor(val: string);
	/**
	 * Outgoing message bubble background color in Feedback UI
	 */
	get outgoingBubbleColor(): string;
	set outgoingBubbleColor(val: string);
	/**
	 * Outgoing message text color in Feedback UI
	 */
	get outgoingTextColor(): string;
	set outgoingTextColor(val: string);
	/**
	 * Action bar title text color in Feedback UI
	 */
	get titleTextColor(): string;
	set titleTextColor(val: string);
	/**
	 * Background color of a bar in Feedback UI, which indicates that app version has changed
	 */
	get versionChangedBackgroundColor(): string;
	set versionChangedBackgroundColor(val: string);
	/**
	 * Text color in a bar in Feedback UI, which indicates that app version has changed
	 */
	get versionChangedTextColor(): string;
	set versionChangedTextColor(val: string);
}
declare class IOSFeedbackAppearance {
	private $get;
	private $set;
	constructor(getter: AppearancePropertyGetter, setter: AppearancePropertySetter);
	/**
	 * Background color of feedback controller
	 */
	get backgroundColor(): string;
	set backgroundColor(val: string);
	/**
	 * Navigation bar and bottom bar colors
	 */
	get barsColor(): string;
	set barsColor(val: string);
	/**
	 * Close UIButton cross color
	 */
	get closeButtonColor(): string;
	set closeButtonColor(val: string);
	/**
	 * Ask for email popup background color
	 */
	get emailBackgroundColor(): string;
	set emailBackgroundColor(val: string);
	/**
	 * Ask for email continue button background color
	 */
	get emailContinueActiveColor(): string;
	set emailContinueActiveColor(val: string);
	/**
	 * Ask for email continue not active button background color
	 */
	get emailContinueNotActiveColor(): string;
	set emailContinueNotActiveColor(val: string);
	/**
	 * Ask for email popup skip button text color
	 */
	get emailSkipColor(): string;
	set emailSkipColor(val: string);
	/**
	 * Incoming message bubble background color
	 */
	get incomingBubbleColor(): string;
	set incomingBubbleColor(val: string);
	/**
	 * Incoming message text color
	 */
	get incomingTextColor(): string;
	set incomingTextColor(val: string);
	/**
	 * Input message text color
	 */
	get inputBackgroundColor(): string;
	set inputBackgroundColor(val: string);
	/**
	 * Input message text color
	 */
	get feedbackInputTextColor(): string;
	set feedbackInputTextColor(val: string);
	/**
	 * UINavigationBar color
	 */
	get navigationBarColor(): string;
	set navigationBarColor(val: string);
	/**
	 * Outgoing message bubble background color
	 */
	get outgoingBubbleColor(): string;
	set outgoingBubbleColor(val: string);
	/**
	 * Outgoing message text color
	 */
	get outgoingTextColor(): string;
	set outgoingTextColor(val: string);
	/**
	 * UINavigationBar title color
	 */
	get titleTextColor(): string;
	set titleTextColor(val: string);
}
declare class AndroidReportAppearance {
	private $get;
	private $set;
	constructor(getter: AppearancePropertyGetter, setter: AppearancePropertySetter);
	/**
	 * Action bar buttons background color in clicked state in Report UI
	 */
	get actionBarButtonBackgroundClickedColor(): string;
	set actionBarButtonBackgroundClickedColor(val: string);
	/**
	 * Action bar background color in Report UI
	 */
	get actionBarColor(): string;
	set actionBarColor(val: string);
	/**
	 * Action bar buttons text color in Report UI
	 */
	get actionBarTextColor(): string;
	set actionBarTextColor(val: string);
	/**
	 * Report UI background color
	 */
	get backgroundColor(): string;
	set backgroundColor(val: string);
	/**
	 * EditTexts background color in Report UI
	 */
	get editTextBackgroundColor(): string;
	set editTextBackgroundColor(val: string);
	/**
	 * EditTexts hint text color in Report UI
	 */
	get hintColor(): string;
	set hintColor(val: string);
	/**
	 * Issue severity label text color in active state in Report UI
	 */
	get severityLabelActiveColor(): string;
	set severityLabelActiveColor(val: string);
	/**
	 * TextViews and EditTexts text color in Report UI
	 */
	get textColor(): string;
	set textColor(val: string);
	/**
	 * Bugsee version number view text color in Report UI
	 */
	get versionColor(): string;
	set versionColor(val: string);
}
declare class IOSReportAppearance {
	private $get;
	private $set;
	constructor(getter: AppearancePropertyGetter, setter: AppearancePropertySetter);
	/**
	 * Background color of Report Controller
	 */
	get backgroundColor(): string;
	set backgroundColor(val: string);
	/**
	 * UITableView cells background color
	 */
	get cellBackgroundColor(): string;
	set cellBackgroundColor(val: string);
	/**
	 * Close UIButton cross color
	 */
	get closeButtonColor(): string;
	set closeButtonColor(val: string);
	/**
	 * UINavigation bar background color
	 */
	get navigationBarColor(): string;
	set navigationBarColor(val: string);
	/**
	 * UIInputFields placeholder color
	 */
	get placeholderColor(): string;
	set placeholderColor(val: string);
	/**
	 * Send UIButton text color
	 */
	get sendButtonColor(): string;
	set sendButtonColor(val: string);
	/**
	 * UILabels text color
	 */
	get textColor(): string;
	set textColor(val: string);
	/**
	 * UILabel with version number text color
	 */
	get versionColor(): string;
	set versionColor(val: string);
}
declare class Appearance {
	private props;
	private androidReportAppearance;
	private iosReportAppearance;
	private androidFeedbackAppearance;
	private iosFeedbackAppearance;
	private $set;
	private $get;
	/**
	 * Appearance settings for Android report activity
	 */
	get AndroidReportAppearance(): AndroidReportAppearance;
	/**
	 * Appearance settings for Android report activity
	 */
	get AndroidFeedbackAppearance(): AndroidFeedbackAppearance;
	/**
	 * Appearance settings for iOS feedback controller
	 */
	get IOSFeedbackAppearance(): IOSFeedbackAppearance;
	/**
	 * Appearance settings for iOS report controller
	 */
	get IOSReportAppearance(): IOSReportAppearance;
}
export type ErrorWithCause = Error & {
	cause?: Error;
};
export type ErrorBoundaryState = {
	componentStack: React.ErrorInfo["componentStack"] | null;
	error: Error | null;
};
declare class ErrorBoundary extends React.Component<ErrorBoundaryProperties, ErrorBoundaryState> {
	constructor(props: Readonly<ErrorBoundaryProperties>);
	componentDidCatch(error: ErrorWithCause, { componentStack }: React.ErrorInfo): void;
	resetErrorBoundary: () => void;
	render(): React.ReactNode;
}
declare class Bugsee {
	private $lastOptions;
	private $appearance;
	constructor();
	private setLaunchOptions;
	/**
	 * Initializes Bugsee instance and triggers installation of
	 * various hooks. Must be called as early as possible.
	 */
	launch(appToken: string, launchOptions?: MaybeNil<BugseeLaunchOptions>): Promise<void>;
	/**
	 * Restarts already launched session with the new set of options
	 */
	relaunch(launchOptions?: MaybeNil<BugseeLaunchOptions>): Promise<void>;
	/**
	 * Initializes wrapping layer assuming native layer is already
	 * launched and running
	 */
	initialize(): Promise<void>;
	/**
	 * Stops currently active (running) session
	 */
	stop(): Promise<void>;
	/**
	 * Displays Bugsee's default reporting UI
	 */
	showReportDialog(summary?: string, description?: string, severity?: Severity): void;
	/**
	 * Initiates bug report upload without displaying any UI
	 *
	 * @param summary Short description for the bug report. Required
	 * @param description Optional long description
	 * @param severity Optional severity of the bug report
	 * @param labels Optional labels to associate with the bug report
	 * @param includeVideo Flag, which if set to false will instruct the underlying SDK to exclude video from the final bundle
	 */
	upload(summary: string, description?: string, severity?: Severity, labels?: string[], includeVideo?: boolean): void;
	/**
	 * Adds an event with specified name and additional parameters
	 */
	event(name: string, params?: Record<string, unknown>): void;
	/**
	 * Adds new value for the specified trace
	 */
	trace(name: string, value: unknown): void;
	/**
	 * Assigns specified email to the application & device pair. It will be
	 * persisted until either reset with {@link clearEmail} or application
	 * is deleted. This email will be attached to all following issue reports.
	 * @param email
	 */
	setEmail(email?: MaybeNil<string>): void;
	/**
	 * Gets email
	 */
	getEmail(): Promise<MaybeNil<string>>;
	/**
	 * Removes previously set with {@link setEmail} value.
	 */
	clearEmail(): void;
	/**
	 * Sets persistent attribute value.
	 * @param name Attribute name
	 * @param value Attribute value
	 */
	setAttribute(name: string, value: unknown): void;
	/**
	 * Gets persistent attribute value
	 * @param name Name of the attribute to get value for
	 * @returns
	 */
	getAttribute(name: string): Promise<unknown>;
	/**
	 * Removes previously set attribute
	 * @param name Attribute name
	 */
	clearAttribute(name: string): void;
	/**
	 * Removes all persistent attributes
	 */
	clearAllAttributes(): void;
	/**
	 * Pause video recording
	 */
	pause(): void;
	/**
	 * Resume video recording
	 */
	resume(): void;
	/**
	 * Toggle protected state for the specified component
	 */
	toggleProtected(reactComponent: ForceAny, isProtected: boolean): void;
	/**
	 * Log specified message to Bugsee logs
	 * @param {String} text
	 * @param {LogLevel} level
	 */
	log(text: string, level?: LogLevel): void;
	/**
	 * Display Feedback UI
	 */
	showFeedbackUI(): void;
	/**
	 * Set default greeting that will be displayed when there are no
	 * messages in Feedback
	 */
	setDefaultFeedbackGreeting(message: string): void;
	setNewFeedbackMessageCallback(callback: ComponentHandler<FeedbackEvent, void>): void;
	/**
	 * Logs caught exception and reports it as an error to Bugsee servers
	 * @param {Error} exception
	 * @param {BugseeExceptionLoggingOptions} [options]
	 */
	logException(exception: unknown, options?: MaybeNil<BugseeExceptionLoggingOptions>): void;
	/**
	 * Explicitly sets application version to use when sending
	 * crash/error reports. If not set, it will be automatically
	 * picked from application info.
	 *
	 * NOTE: To properly decipher minified stack traces, this
	 * version must match the one specified when uploading
	 * sourcemaps.
	 * @param {String} appVersion New application version value
	 * @param {String} appBuild New application version value
	 */
	setAppVersion(appVersion?: string, appBuild?: string): void;
	getAppVersion(): MaybeNil<string>;
	getAppBuild(): MaybeNil<string>;
	addSecureRect(x: number, y: number, width: number, height: number): void;
	removeSecureRect(x: number, y: number, width: number, height: number): void;
	getAllSecureRects(): Promise<SecureRect[]>;
	removeAllSecureRects(): void;
	/**
	 * Sets callback that will be called to sanitize
	 * captured console event
	 */
	setLogFilter(filterCallback: ComponentHandler<LogEvent, LogEvent>): void;
	/**
	 * Sets callback that will be called to sanitize
	 * captured network event
	 */
	setNetworkFilter(filterCallback: ComponentHandler<NetEvent, NetEvent>): void;
	setLifecycleEventHandler(lifecycleCallback: ComponentHandler<LifecycleEvent, void>): void;
	/**
	 * Sets the flag that controls visibility of the keyboard
	 * in captured video
	 */
	setKeyboardVisibility(isVisible: boolean): void;
	/**
	 * Captures current view hierarchy
	 */
	captureViewHierarchy(): void;
	/**
	 * Sets the handler which is executed when report is being
	 * bundled and attachments are requested to be added to the
	 * final bundle
	 */
	setAttachmentsHandler(handler: ComponentHandler<BugseeReport, MaybeNil<BugseeAttachment[]>>): void;
	/**
	 * Deletes all the collected data stored in the files on the disk. Recording must
	 * be stopped via {@link #stop} before calling this method.
	 *
	 * @returns {Promise<boolean>} true if data was successfully deleted, false otherwise
	 */
	deleteCollectedDataOnDevice(): Promise<boolean>;
	testNativeCrash(): void;
	testJsCrash(): void;
	readonly LogLevel: Readonly<{
		None: 0;
		Error: 1;
		Warning: 2;
		Info: 3;
		Debug: 4;
		Verbose: 5;
	}>;
	readonly Severity: Readonly<{
		Low: 1;
		Medium: 2;
		High: 3;
		Critical: 4;
		Blocker: 5;
	}>;
	readonly VideoMode: Readonly<{
		None: 0;
		V1: 1;
		V2: 2;
		V3: 3;
	}>;
	readonly VideoQuality: Readonly<{
		Default: 0;
		Medium: 1;
		High: 2;
	}>;
	readonly LifecycleEventsTypes: Readonly<{
		/**
		 * Event is dispatched when Bugsee was successfully launched
		 */
		Launched: 0;
		/**
		 * Event is dispatched when Bugsee is started after being stopped
		 */
		Started: 1;
		/**
		 * Event is dispatched when Bugsee is stopped
		 */
		Stopped: 2;
		/**
		 * Event is dispatched when Bugsee recording is resumed after being paused
		 */
		Resumed: 3;
		/**
		 * Event is dispatched when Bugsee recording is paused
		 */
		Paused: 4;
		/**
		 * Event is dispatched when Bugsee is launched and pending crash report is
		 * discovered. That usually means that app was relaunched after crash.
		 */
		RelaunchedAfterCrash: 5;
		/**
		 * Event is dispatched before the reporting UI is shown
		 */
		BeforeReportShown: 6;
		/**
		 * Event is dispatched when reporting UI is shown
		 */
		AfterReportShown: 7;
		/**
		 * Event is dispatched when report is about to be uploaded to the server
		 */
		BeforeReportUploaded: 8;
		/**
		 * Event is dispatched when report was successfully uploaded to the server
		 */
		AfterReportUploaded: 9;
		/**
		 * Event is dispatched before the Feedback controller is shown
		 */
		BeforeFeedbackShown: 10;
		/**
		 * Event is dispatched after the Feedback controller is shown
		 */
		AfterFeedbackShown: 11;
	}>;
	readonly AndroidLaunchOptions: typeof AndroidLaunchOptions;
	readonly IOSLaunchOptions: typeof IOSLaunchOptions;
	/**
	 * ErrorBoundary which can be used to catch layout errors
	 */
	readonly ErrorBoundary: typeof ErrorBoundary;
	/**
	 * Appearance settings for Bugsee UI
	 */
	get appearance(): Appearance;
}
declare const bugseeInstance: Bugsee;

export {
	bugseeInstance as default,
};

export {};
