export default class AndroidFeedbackAppearance {
    $get;
    $set;
    constructor(getter, setter) {
        this.$get = getter;
        this.$set = setter;
    }
    /**
     * Action bar buttons background color in clicked state in Feedback UI
     */
    get actionBarButtonBackgroundClickedColor() {
        return this.$get('FeedbackActionBarButtonBackgroundClickedColor');
    }
    set actionBarButtonBackgroundClickedColor(val) {
        this.$set('FeedbackActionBarButtonBackgroundClickedColor', val);
    }
    /**
     * Action bar background color in Feedback UI
     */
    get actionBarColor() {
        return this.$get('FeedbackActionBarColor');
    }
    set actionBarColor(val) {
        this.$set('FeedbackActionBarColor', val);
    }
    /**
     * Feedback UI background color
     */
    get backgroundColor() {
        return this.$get('FeedbackBackgroundColor');
    }
    set backgroundColor(val) {
        this.$set('FeedbackBackgroundColor', val);
    }
    /**
     * Color of delimiter between message list and EditText for new message inputting in Feedback UI
     */
    get bottomDelimiterColor() {
        return this.$get('FeedbackBottomDelimiterColor');
    }
    set bottomDelimiterColor(val) {
        this.$set('FeedbackBottomDelimiterColor', val);
    }
    /**
     * Message date text color in Feedback UI
     */
    get dateTextColor() {
        return this.$get('FeedbackDateTextColor');
    }
    set dateTextColor(val) {
        this.$set('FeedbackDateTextColor', val);
    }
    /**
     * Ask for email dialog background color in Feedback UI
     */
    get emailBackgroundColor() {
        return this.$get('FeedbackEmailBackgroundColor');
    }
    set emailBackgroundColor(val) {
        this.$set('FeedbackEmailBackgroundColor', val);
    }
    /**
     * Ask for email dialog "Continue" button background color in enabled state in Feedback UI
     */
    get emailContinueActiveColor() {
        return this.$get('FeedbackEmailContinueActiveColor');
    }
    set emailContinueActiveColor(val) {
        this.$set('FeedbackEmailContinueActiveColor', val);
    }
    /**
     * Ask for email dialog "Continue" button background color in clicked state in Feedback UI
     */
    get emailContinueClickedColor() {
        return this.$get('FeedbackEmailContinueClickedColor');
    }
    set emailContinueClickedColor(val) {
        this.$set('FeedbackEmailContinueClickedColor', val);
    }
    /**
     * Ask for email dialog "Continue" button background color in disabled state in Feedback UI
     */
    get emailContinueNotActiveColor() {
        return this.$get('FeedbackEmailContinueNotActiveColor');
    }
    set emailContinueNotActiveColor(val) {
        this.$set('FeedbackEmailContinueNotActiveColor', val);
    }
    /**
     * Ask for email dialog "Skip" button background color in clicked state in Feedback UI
     */
    get emailSkipBackgroundClickedColor() {
        return this.$get('FeedbackEmailSkipBackgroundClickedColor');
    }
    set emailSkipBackgroundClickedColor(val) {
        this.$set('FeedbackEmailSkipBackgroundClickedColor', val);
    }
    /**
     * Ask for email dialog "Skip" button text color in Feedback UI
     */
    get emailSkipTextColor() {
        return this.$get('FeedbackEmailSkipTextColor');
    }
    set emailSkipTextColor(val) {
        this.$set('FeedbackEmailSkipTextColor', val);
    }
    /**
     * Error description text color in Feedback UI
     */
    get errorTextColor() {
        return this.$get('FeedbackErrorTextColor');
    }
    set errorTextColor(val) {
        this.$set('FeedbackErrorTextColor', val);
    }
    /**
     * Incoming message bubble background color in Feedback UI
     */
    get incomingBubbleColor() {
        return this.$get('FeedbackIncomingBubbleColor');
    }
    set incomingBubbleColor(val) {
        this.$set('FeedbackIncomingBubbleColor', val);
    }
    /**
     * Incoming message text color in Feedback UI
     */
    get incomingTextColor() {
        return this.$get('FeedbackIncomingTextColor');
    }
    set incomingTextColor(val) {
        this.$set('FeedbackIncomingTextColor', val);
    }
    /**
     * Input message text color in Feedback UI
     */
    get inputTextColor() {
        return this.$get('FeedbackInputTextColor');
    }
    set inputTextColor(val) {
        this.$set('FeedbackInputTextColor', val);
    }
    /**
     * Input message hint text color in Feedback UI
     */
    get inputTextHintColor() {
        return this.$get('FeedbackInputTextHintColor');
    }
    set inputTextHintColor(val) {
        this.$set('FeedbackInputTextHintColor', val);
    }
    /**
     * Background color of a bar in Feedback UI, which indicates loading state and shows error information if any
     */
    get loadingBarBackgroundColor() {
        return this.$get('FeedbackLoadingBarBackgroundColor');
    }
    set loadingBarBackgroundColor(val) {
        this.$set('FeedbackLoadingBarBackgroundColor', val);
    }
    /**
     * Text color in a bar, which indicates loading state in Feedback UI
     */
    get loadingTextColor() {
        return this.$get('FeedbackLoadingTextColor');
    }
    set loadingTextColor(val) {
        this.$set('FeedbackLoadingTextColor', val);
    }
    /**
     * Outgoing message bubble background color in Feedback UI
     */
    get outgoingBubbleColor() {
        return this.$get('FeedbackOutgoingBubbleColor');
    }
    set outgoingBubbleColor(val) {
        this.$set('FeedbackOutgoingBubbleColor', val);
    }
    /**
     * Outgoing message text color in Feedback UI
     */
    get outgoingTextColor() {
        return this.$get('FeedbackOutgoingTextColor');
    }
    set outgoingTextColor(val) {
        this.$set('FeedbackOutgoingTextColor', val);
    }
    /**
     * Action bar title text color in Feedback UI
     */
    get titleTextColor() {
        return this.$get('FeedbackTitleTextColor');
    }
    set titleTextColor(val) {
        this.$set('FeedbackTitleTextColor', val);
    }
    /**
     * Background color of a bar in Feedback UI, which indicates that app version has changed
     */
    get versionChangedBackgroundColor() {
        return this.$get('FeedbackVersionChangedBackgroundColor');
    }
    set versionChangedBackgroundColor(val) {
        this.$set('FeedbackVersionChangedBackgroundColor', val);
    }
    /**
     * Text color in a bar in Feedback UI, which indicates that app version has changed
     */
    get versionChangedTextColor() {
        return this.$get('FeedbackVersionChangedTextColor');
    }
    set versionChangedTextColor(val) {
        this.$set('FeedbackVersionChangedTextColor', val);
    }
}
