import { getGlobalObject } from './utils';
const LOG_PREFIX = 'BUGSEE: ';
const CONSOLE_METHODS = ['debug', 'info', 'warn', 'error', 'log'];
const $global = getGlobalObject();
const logger = {};
CONSOLE_METHODS.forEach((name) => {
    logger[name] = (...args) => {
        $global.console[name](`${LOG_PREFIX}[${name}]:`, ...args);
    };
});
// freeze logger to prevent its mutation
Object.freeze(logger);
export default logger;
