import { ComponentState } from '../../common/componentState';
import { logExceptionInternal, setupExceptionHandler, setupRejectionHandler } from './handlers';
import { makeValidError } from './utils';
const componentState = new ComponentState({
    controlOptionName: 'CrashReport',
    // eslint-disable-next-line no-use-before-define
    defaultActionCallback,
    // eslint-disable-next-line no-use-before-define
    initCallback,
});
async function onError(error, isHandled) {
    if (componentState.launched && componentState.enabled) {
        await logExceptionInternal(error, isHandled);
    }
}
function initCallback(state) {
    setupExceptionHandler(state, onError);
    setupRejectionHandler(state, onError);
}
function defaultActionCallback(exception, auxData) {
    if (componentState.launched && componentState.enabled) {
        // this is required here to let us reconstruct the
        // stack trace in case of a invalid error (non-Error
        // or missing 'stack'). Also, making this method
        // async is not desired for 'fake' errors, as in this
        // case stack trace will be filled with intermediate
        // frames from regenerator-runtime which is required
        // by React Native itself
        const error = makeValidError(exception);
        logExceptionInternal(error, true, auxData?.options ?? null);
    }
}
export default componentState;
