import parseStackTrace from './stack-trace-parse';
import { getCleanStack } from './utils';
import { isDevMode } from '../../common/utils';
// eslint-disable-next-line import/prefer-default-export
export async function parseAndSymbolicateErrorStack(error) {
    const parsedStack = parseStackTrace(getCleanStack(error));
    const result = { stack: parsedStack, isSymbolicated: false };
    if (isDevMode()) {
        try {
            // eslint-disable-next-line global-require, @typescript-eslint/no-var-requires, import/no-unresolved
            const symbolicateStackTrace = require('react-native/Libraries/Core/Devtools/symbolicateStackTrace');
            if (symbolicateStackTrace) {
                const symbolicationResult = (await symbolicateStackTrace(parsedStack));
                const symbolicatedStack = symbolicationResult?.stack ?? symbolicationResult;
                if (symbolicatedStack?.length) {
                    result.isSymbolicated = true;
                    result.stack = symbolicatedStack;
                }
                // TODO: examine codeFrame
            }
        }
        catch (e) {
            // ignore
        }
    }
    return result;
}
