import { Platform } from 'react-native';
import BugseeLaunchOptions from './options.base';
import AndroidLaunchOptions from './options.android';
import IOSLaunchOptions from './options.ios';
const platformOS = Platform.OS;
export function createDefaultLaunchOptions() {
    switch (platformOS) {
        case 'ios':
            return new IOSLaunchOptions();
        case 'android':
            return new AndroidLaunchOptions();
        default:
            return null;
    }
}
export { BugseeLaunchOptions, AndroidLaunchOptions, IOSLaunchOptions };
