import { DEFAULT_NETWORK_BODY_SIZE_LIMIT } from '../common/constants';
import { FrameRate, Severity, VideoMode, VideoQuality } from '../types';
import BugseeLaunchOptions from './options.base';
/**
 * Class that holds all the available options used to launch Bugsee with on Android device
 */
export default class AndroidLaunchOptions extends BugseeLaunchOptions {
    $setDefaults() {
        super.$setDefaults();
        this.captureDeviceAndNetworkNames = false;
        this.captureLogs = true;
        this.crashReport = true;
        this.defaultBugPriority = Severity.Low;
        this.defaultCrashPriority = Severity.Blocker;
        this.maxRecordingTime = 60;
        this.monitorNetwork = true;
        this.reportPrioritySelector = false;
        this.shakeToReport = false;
        this.screenshotToReport = false;
        this.videoEnabled = true;
        this.frameRate = FrameRate.High;
        this.minFrameRate = 1;
        this.maxFrameRate = 30;
        this.screenshotEnabled = true;
        this.wifiOnlyUpload = false;
        this.maxDataSize = 50;
        this.notificationBarTrigger = true;
        this.serviceMode = false;
        this.videoMode = VideoMode.V3;
        this.videoQuality = VideoQuality.Default;
        this.fallbackVideoMode = VideoMode.V1;
        this.handleAnr = false;
        this.maxNetworkBodySize = DEFAULT_NETWORK_BODY_SIZE_LIMIT;
    }
    get notificationBarTrigger() {
        return this.$get('NotificationBarTrigger');
    }
    set notificationBarTrigger(val) {
        this.$set('NotificationBarTrigger', val);
    }
    get serviceMode() {
        return this.$get('ServiceMode');
    }
    set serviceMode(val) {
        this.$set('ServiceMode', val);
    }
    get videoMode() {
        return this.$get('VideoMode');
    }
    set videoMode(val) {
        this.$set('VideoMode', val);
    }
    get videoQuality() {
        return this.$get('VideoQuality');
    }
    set videoQuality(val) {
        this.$set('VideoQuality', val);
    }
    get fallbackVideoMode() {
        return this.$get('FallbackVideoMode');
    }
    set fallbackVideoMode(val) {
        this.$set('FallbackVideoMode', val);
    }
    get handleAnr() {
        return this.$get('HandleAnr');
    }
    set handleAnr(val) {
        this.$set('HandleAnr', val);
    }
    get screenshotToReport() {
        return this.$get('ScreenshotToTrigger');
    }
    set screenshotToReport(val) {
        this.$set('ScreenshotToTrigger', val);
    }
}
