export var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["None"] = 0] = "None";
    LogLevel[LogLevel["Error"] = 1] = "Error";
    LogLevel[LogLevel["Warning"] = 2] = "Warning";
    LogLevel[LogLevel["Info"] = 3] = "Info";
    LogLevel[LogLevel["Debug"] = 4] = "Debug";
    LogLevel[LogLevel["Verbose"] = 5] = "Verbose";
})(LogLevel || (LogLevel = {}));
export var Severity;
(function (Severity) {
    Severity[Severity["Low"] = 1] = "Low";
    Severity[Severity["Medium"] = 2] = "Medium";
    Severity[Severity["High"] = 3] = "High";
    Severity[Severity["Critical"] = 4] = "Critical";
    Severity[Severity["Blocker"] = 5] = "Blocker";
})(Severity || (Severity = {}));
export var VideoMode;
(function (VideoMode) {
    VideoMode[VideoMode["None"] = 0] = "None";
    VideoMode[VideoMode["V1"] = 1] = "V1";
    VideoMode[VideoMode["V2"] = 2] = "V2";
    VideoMode[VideoMode["V3"] = 3] = "V3";
})(VideoMode || (VideoMode = {}));
export var VideoQuality;
(function (VideoQuality) {
    VideoQuality[VideoQuality["Default"] = 0] = "Default";
    VideoQuality[VideoQuality["Medium"] = 1] = "Medium";
    VideoQuality[VideoQuality["High"] = 2] = "High";
})(VideoQuality || (VideoQuality = {}));
export var LifecycleEventsTypes;
(function (LifecycleEventsTypes) {
    /**
     * Event is dispatched when Bugsee was successfully launched
     */
    LifecycleEventsTypes[LifecycleEventsTypes["Launched"] = 0] = "Launched";
    /**
     * Event is dispatched when Bugsee is started after being stopped
     */
    LifecycleEventsTypes[LifecycleEventsTypes["Started"] = 1] = "Started";
    /**
     * Event is dispatched when Bugsee is stopped
     */
    LifecycleEventsTypes[LifecycleEventsTypes["Stopped"] = 2] = "Stopped";
    /**
     * Event is dispatched when Bugsee recording is resumed after being paused
     */
    LifecycleEventsTypes[LifecycleEventsTypes["Resumed"] = 3] = "Resumed";
    /**
     * Event is dispatched when Bugsee recording is paused
     */
    LifecycleEventsTypes[LifecycleEventsTypes["Paused"] = 4] = "Paused";
    /**
     * Event is dispatched when Bugsee is launched and pending crash report is
     * discovered. That usually means that app was relaunched after crash.
     */
    LifecycleEventsTypes[LifecycleEventsTypes["RelaunchedAfterCrash"] = 5] = "RelaunchedAfterCrash";
    /**
     * Event is dispatched before the reporting UI is shown
     */
    LifecycleEventsTypes[LifecycleEventsTypes["BeforeReportShown"] = 6] = "BeforeReportShown";
    /**
     * Event is dispatched when reporting UI is shown
     */
    LifecycleEventsTypes[LifecycleEventsTypes["AfterReportShown"] = 7] = "AfterReportShown";
    /**
     * Event is dispatched when report is about to be uploaded to the server
     */
    LifecycleEventsTypes[LifecycleEventsTypes["BeforeReportUploaded"] = 8] = "BeforeReportUploaded";
    /**
     * Event is dispatched when report was successfully uploaded to the server
     */
    LifecycleEventsTypes[LifecycleEventsTypes["AfterReportUploaded"] = 9] = "AfterReportUploaded";
    /**
     * Event is dispatched before the Feedback controller is shown
     */
    LifecycleEventsTypes[LifecycleEventsTypes["BeforeFeedbackShown"] = 10] = "BeforeFeedbackShown";
    /**
     * Event is dispatched after the Feedback controller is shown
     */
    LifecycleEventsTypes[LifecycleEventsTypes["AfterFeedbackShown"] = 11] = "AfterFeedbackShown";
    /**
     * Event is dispatched before the report is assembled
     */
    LifecycleEventsTypes[LifecycleEventsTypes["BeforeReportAssembled"] = 12] = "BeforeReportAssembled";
    /**
     * Event is dispatched after the report is assembled
     */
    LifecycleEventsTypes[LifecycleEventsTypes["AfterReportAssembled"] = 13] = "AfterReportAssembled";
})(LifecycleEventsTypes || (LifecycleEventsTypes = {}));
export var BugseeNetworkType;
(function (BugseeNetworkType) {
    BugseeNetworkType[BugseeNetworkType["BugseeNetwork"] = 0] = "BugseeNetwork";
    BugseeNetworkType[BugseeNetworkType["BugseeWebSocket"] = 1] = "BugseeWebSocket";
    BugseeNetworkType[BugseeNetworkType["BugseeUDPSocket"] = 2] = "BugseeUDPSocket";
})(BugseeNetworkType || (BugseeNetworkType = {}));
export var FrameRate;
(function (FrameRate) {
    FrameRate[FrameRate["Low"] = 1] = "Low";
    FrameRate[FrameRate["Medium"] = 2] = "Medium";
    FrameRate[FrameRate["High"] = 3] = "High";
})(FrameRate || (FrameRate = {}));
export var NoBodyReason;
(function (NoBodyReason) {
    NoBodyReason["None"] = "";
    NoBodyReason["CantReadData"] = "cant_read_data";
    NoBodyReason["NoContentType"] = "no_content_type";
    NoBodyReason["SizeTooLarge"] = "size_too_large";
    NoBodyReason["UnsupportedContentType"] = "unsupported_content_type";
})(NoBodyReason || (NoBodyReason = {}));
